Baixar uma conta a pagar
curl --request POST \
--url https://api.tiny.com.br/public-api/v3/contas-pagar/{idContaPagar}/baixar \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contaOrigem": {
"id": 123
},
"data": "01/01/2024",
"categoria": {
"id": 123
},
"historico": "<string>",
"taxa": 1,
"juros": 1,
"desconto": 1,
"valorPago": 1,
"acrescimo": 1
}
'import requests
url = "https://api.tiny.com.br/public-api/v3/contas-pagar/{idContaPagar}/baixar"
payload = {
"contaOrigem": { "id": 123 },
"data": "01/01/2024",
"categoria": { "id": 123 },
"historico": "<string>",
"taxa": 1,
"juros": 1,
"desconto": 1,
"valorPago": 1,
"acrescimo": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contaOrigem: {id: 123},
data: '01/01/2024',
categoria: {id: 123},
historico: '<string>',
taxa: 1,
juros: 1,
desconto: 1,
valorPago: 1,
acrescimo: 1
})
};
fetch('https://api.tiny.com.br/public-api/v3/contas-pagar/{idContaPagar}/baixar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mensagem": "Ocorreram erros de validação",
"detalhes": [
{
"campo": "codigo",
"mensagem": "O campo código é obrigatório"
}
]
}Contas a pagar
Baixar uma conta a pagar
POST
/
contas-pagar
/
{idContaPagar}
/
baixar
Baixar uma conta a pagar
Path Parameters
Identificador da conta a pagar
Body
application/json
Show child attributes
Show child attributes
Example:
"01/01/2024"
Show child attributes
Show child attributes
Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Response
No Content
⌘I
